import React from "react";
import { MdCancel } from "react-icons/md";
import Checkbox from "../../../../components/base/checkbox/Index";
import styles from "./Styles.module.css";  

export const Todo = ({ store, toggleComplete, editIndex, renderEditableContent, startEdit, Delete }) => {
  return (
    <ul className={styles.ul}>
      {store.map((item, index) => (
        <li
          key={item.id}
          className={`${styles.todo} ${item.completed ? styles.completedTask : ""}`}
        >
          <div className={styles.check}>
            <Checkbox
              checked={item.completed}
              onChange={() => toggleComplete(index)}
              id={item.id}
              className={styles.checkInputCheckbox}
            />
            {editIndex === index ? (
              renderEditableContent()
            ) : (
              <span
                className={`${styles.task} ${item.completed ? styles.completedTask : ""}`}
                onClick={() => startEdit(index)}
              >
                {typeof item.task === "string" ? item.task : JSON.stringify(item.task)}
              </span>
            )}
          </div>
          <button className={styles.delete} onClick={() => Delete(item.id)}>
            <MdCancel className={styles.deleteSvg} />
          </button>
        </li>
      ))}
    </ul>
  );
};
